This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 467995 - avc: denied { getattr } for comm="perl" path="/root"
avc: denied { getattr } for comm="perl" path="/root"
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy-targeted (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Daniel Walsh
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-22 03:08 EDT by Alexander Todorov
Modified: 2012-10-16 04:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:31:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Todorov 2008-10-22 03:08:56 EDT
Description of problem:
AVC denial for perl.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install 5.2 Server, @everything
2. upgrade to latest 5.3 build.


Actual results:
/sbin/ausearch -sv no -m AVC -m USER_AVC -m SELINUX_ERR -ts 10/21/2008 12:1:16
----
time->Tue Oct 21 13:04:08 2008
type=SYSCALL msg=audit(1224608648.755:142): arch=c000003e syscall=4 success=no exit=-13 a0=129ad8e0 a1=12962140 a2=12962140 a3=0 items=0 ppid=27774 pid=27779 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="perl" exe="/usr/bin/perl" subj=system_u:system_r:logwatch_t:s0-s0:c0.c1023 key=(null)
type=AVC msg=audit(1224608648.755:142): avc:  denied  { getattr } for  pid=27779 comm="perl" path="/root" dev=dm-0 ino=6219841 scontext=system_u:system_r:logwatch_t:s0-s0:c0.c1023 tcontext=root:object_r:user_home_dir_t:s0 tclass=dir
----
time->Tue Oct 21 13:04:08 2008
type=SYSCALL msg=audit(1224608648.875:143): arch=c000003e syscall=4 success=no exit=-13 a0=ee538e0 a1=ee08140 a2=ee08140 a3=0 items=0 ppid=27795 pid=27799 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="perl" exe="/usr/bin/perl" subj=system_u:system_r:logwatch_t:s0-s0:c0.c1023 key=(null)
type=AVC msg=audit(1224608648.875:143): avc:  denied  { getattr } for  pid=27799 comm="perl" path="/root" dev=dm-0 ino=6219841 scontext=system_u:system_r:logwatch_t:s0-s0:c0.c1023 tcontext=root:object_r:user_home_dir_t:s0 tclass=dir
----
time->Tue Oct 21 13:04:09 2008
type=SYSCALL msg=audit(1224608649.003:144): arch=c000003e syscall=4 success=no exit=-13 a0=5ca48e0 a1=5c59140 a2=5c59140 a3=0 items=0 ppid=27815 pid=27827 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="perl" exe="/usr/bin/perl" subj=system_u:system_r:logwatch_t:s0-s0:c0.c1023 key=(null)
type=AVC msg=audit(1224608649.003:144): avc:  denied  { getattr } for  pid=27827 comm="perl" path="/root" dev=dm-0 ino=6219841 scontext=system_u:system_r:logwatch_t:s0-s0:c0.c1023 tcontext=root:object_r:user_home_dir_t:s0 tclass=dir
----
time->Tue Oct 21 13:04:09 2008
type=SYSCALL msg=audit(1224608649.127:145): arch=c000003e syscall=4 success=no exit=-13 a0=ec14f50 a1=ebc2140 a2=ebc2140 a3=0 items=0 ppid=27843 pid=27847 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="perl" exe="/usr/bin/perl" subj=system_u:system_r:logwatch_t:s0-s0:c0.c1023 key=(null)
type=AVC msg=audit(1224608649.127:145): avc:  denied  { getattr } for  pid=27847 comm="perl" path="/root" dev=dm-0 ino=6219841 scontext=system_u:system_r:logwatch_t:s0-s0:c0.c1023 tcontext=root:object_r:user_home_dir_t:s0 tclass=dir
----
time->Tue Oct 21 13:04:09 2008
type=SYSCALL msg=audit(1224608649.271:146): arch=c000003e syscall=4 success=no exit=-13 a0=c48b00 a1=bf6140 a2=bf6140 a3=0 items=0 ppid=27865 pid=27868 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="perl" exe="/usr/bin/perl" subj=system_u:system_r:logwatch_t:s0-s0:c0.c1023 key=(null)
type=AVC msg=audit(1224608649.271:146): avc:  denied  { getattr } for  pid=27868 comm="perl" path="/root" dev=dm-0 ino=6219841 scontext=system_u:system_r:logwatch_t:s0-s0:c0.c1023 tcontext=root:object_r:user_home_dir_t:s0 tclass=dir
----
time->Tue Oct 21 13:04:09 2008
type=SYSCALL msg=audit(1224608649.423:147): arch=c000003e syscall=4 success=no exit=-13 a0=b1be50 a1=ac8140 a2=ac8140 a3=0 items=0 ppid=27742 pid=27750 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="0logwatch" exe="/usr/bin/perl" subj=system_u:system_r:logwatch_t:s0-s0:c0.c1023 key=(null)
type=AVC msg=audit(1224608649.423:147): avc:  denied  { getattr } for  pid=27750 comm="0logwatch" path="/root" dev=dm-0 ino=6219841 scontext=system_u:system_r:logwatch_t:s0-s0:c0.c1023 tcontext=root:object_r:user_home_dir_t:s0 tclass=dir


Additional info:
This is from automated test case which gets killed shortly before it finishes. Don't know if the denials come from the local watchdog that we use.
Comment 3 Daniel Walsh 2008-10-22 11:41:20 EDT
These rules are dontaudited in the 5.3 policy?
Comment 4 Daniel Walsh 2008-10-29 13:58:49 EDT
Fixed in selinux-policy-2.4.6-170.el5
Comment 11 errata-xmlrpc 2009-01-20 16:31:18 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0163.html

Note You need to log in before you can comment on or make changes to this bug.